Subject: RE: Last Call: draft-iijima-netconf-soap-implementation (Experience of implementing NETCONF over SOAP) to Informational RFC

From: "Bert Wijnen" <[email-masked]>
Date: Tue, 22 Jan 2008 13:33:20 +0100

[ copy to NetConf mailing list is FYI. This document is not
  a NETCONF WG document, but it is of course related]

I reviewed this document and wonder about the following.
Specifically I reviewed the document on possible conflicts or
contradictions with work that has been done (or is planned to
be done) in the NETCONF WG.

0.I think it would be good to add some text to the document
  (either front page or as the first subsection in section 1)
  that makes it very clear that this document is not a product
  from the NETCONF WG but a report on experience by some
  individual developers/implementers.

1.Section 1.2
  I really wonder if RFC2119 language is appririate in a document
  like this. This is a dopcument that reports on/documents the
  implementation experience of the authors. I do not see that
  RFC2119 language makes sense (or was intended) for such a document.
  As far as I can tell, the document is better if the normal
  lower case words are used instead of the capitilized words.

2.Sect 1.3.  Motivation, states:
    This document describes why SOAP is practical as a transport protocol
    of NETCONF in developing a network management system.  This document
    also describes the experience of implementing NETCONF over SOAP.

  I would prefer that statements like above are written as an opinion
  or a belief of the authors rather than as if it is a fact on which
  people in general have consensus.
  So instead of "why SOAP is practical" I prefer to see "why the authors
  believe SOAP is practical" or "why the authors find Soap to be practical"

3.Sect 3.1.2 speaks about using the Cookie field in an HTTP
  header to exchange/store/maintain (?) a session identifier.
  I worry that this conflicts with (or wonder how it relates to)
  the fact that RFC4743 (sect 3.3. page 9/10) shows that the
  session-id is returned inside the hello response from the
  netconf-managed device.

  Similar concerns w.r.t. sect 3.2.2

4.Section 3.2.1 refers to "http://schema.xmlsoap.org/soap/encoding"
  but that page seems to not exist. Even schema.xmlsaop.org does
  not exist. Neither does xmlsoap.org. SO I have no idea what to
  check.

5.Maybe a nit, but anyway.
  In sect 4.1.1 (maybe in others too) yopu speak about "DOS prompt".
  I thought it is not really DOS anymore. It is just a "command prompt"
  is it not?

6.I think it would be good to add to sect 5 (Security COnsiderations)
  that the security considerations of RFC4741 and RFC4743 also are
  applicable and should be considered by any implementer or user.

Bert Wijnen

> -----Oorspronkelijk bericht-----
> Van: The IESG [mailto:[email-masked]]
> Verzonden: dinsdag 15 januari 2008 23:01
> Aan: IETF-Announce
> Onderwerp: Last Call: draft-iijima-netconf-soap-implementation
> (Experience of implementing NETCONF over SOAP) to Informational RFC
>
>
> The IESG has received a request from an individual submitter to consider
> the following document:
>
> - 'Experience of implementing NETCONF over SOAP '
>    <draft-iijima-netconf-soap-implementation-05.txt> as an Informational
> RFC
>
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action.  Please send substantive comments to the
> [email-masked] mailing lists by 2008-02-12. Exceptionally,
> comments may be sent to [email-masked] instead. In either case, please
> retain the beginning of the Subject line to allow automated sorting.
>
> The file can be obtained via
> http://www.ietf.org/internet-drafts/draft-iijima-netconf-soap-impl
ementation-05.txt

IESG discussion can be tracked via
https://datatracker.ietf.org/public/pidtracker.cgi?command=view_id&dTag=1541
5&rfc_flag=0

_______________________________________________
IETF-Announce mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf-announce

_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf